com.sun.jna.platform.win32

## Class WTypes.VARTYPE

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.USHORT
      - - com.sun.jna.platform.win32.WTypes.VARTYPE

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Enclosing interface:
    WTypes

      public static class WTypes.VARTYPE
      extends WinDef.USHORT

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.WinDef.USHORT

      `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WTypes.VARTYPE()`
    `WTypes.VARTYPE(int value)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.IntegerType

      `doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WTypes.VARTYPE

          public WTypes.VARTYPE()

    - #### WTypes.VARTYPE

          public WTypes.VARTYPE(int value)

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.